<ion-view view-title="Chat" class="messaging-view" ng-controller="ChatsCtrlView">
    <ion-content class="content-stable" on-tap="showTime = !showTime; focusManager.focusInputOnBlur = false;" id="chat_view">

        <div ng-repeat="message in messages | orderBy:'time':false" ng-class="{other: message.userId == user.id}" class="messages">
            <div class="message" ng-class="{'slide-right': showTime, '': !showTime}">
                <img class="chat-avatar" src="{{ message.avatar }}" width="20">
                <span class="chat-msg" ng-height="message.text">{{ message.text }} <br>
                  <small class="chat-time">{{ message.time | date:"dd/MM/yyyy '-' h:mma"  }}</small>
                </span>

            </div>
        </div>


    </ion-content>
    <ion-footer-bar keyboard-attach class="bar-stable item-input-inset">
        <label class="item-input-wrapper">
            <input type="text" placeholder="Digite sua mensagem" ng-model="data.message" on-focus="inputUp()" on-blur="inputDown()" focus-on-blur="focusManager.focusInputOnBlur" />
        </label>

        <button ng-if="user.type_profile=='student_account'" class="button button-clear" ng-disabled="!flag_sendMessage || !chat_room.user_school_id || !data.message || data.message === ''" ng-click="sendMessage()">
            Enviar
        </button>

        <button ng-if="user.type_profile=='parent_account'" class="button button-clear" ng-disabled="!flag_sendMessage || !data.message || data.message === ''" ng-click="sendMessage()">
            Enviar
        </button>

    </ion-footer-bar>
</ion-view>